Transfer Deposit Balance
curl --request POST \
--url https://sandbox-api.kotanipay.io/api/v3/wallet/transfer/deposit-balance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"walletId": "<string>",
"amount": 123
}
'import requests
url = "https://sandbox-api.kotanipay.io/api/v3/wallet/transfer/deposit-balance"
payload = {
"walletId": "<string>",
"amount": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({walletId: '<string>', amount: 123})
};
fetch('https://sandbox-api.kotanipay.io/api/v3/wallet/transfer/deposit-balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Transfer deposit balance has been successfully done.",
"data": {
"name": "My Wallet",
"type": "eg crypto or fiat",
"currency": "eg NGN or GHS or KES",
"integrator": "4440cb6a-f7c7-11ed-b67e-0242ac120002",
"id": "f053188c-d924-4423-bbba-871eda0b1cd9",
"balance": 1000,
"deposit_balance": 1000,
"country": "GH or GHA for Ghana",
"status": "eg active or inactive"
}
}{
"success": false,
"message": "Unauthorized",
"data": {}
}{
"success": false,
"message": "Wallet Not Found",
"data": {}
}Fiat Wallets
Transfer Deposit Balance
This endpoint will transfer the deposit balance of the fiat wallet to the main balance.
POST
/
api
/
v3
/
wallet
/
transfer
/
deposit-balance
Transfer Deposit Balance
Transfer the deposit balance of the fiat wallet to the main balance. This endpoint will transfer the deposit balance of the fiat wallet to the main balance.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I